[b]Permissions[/b]

Permissions in the Red Matrix are more complete than you may be used to. This allows us to define more fine graded relationships than the black and white &quot;this person is my friend, so they can do everything&quot; or &quot;this person is not my friend, so they can't do anything&quot; permissions you may find elsewhere.

[b]Default Permissions[/b]

On your settings page, you will find a list of default permissions. These permissions are automatically applied to everybody unless you specify otherwise. The scope of these permissions varies from &quot;Only me&quot; to &quot;Everybody&quot; - though some scopes may not be available for some permissions. For example, you can't allow &quot;anybody on the internet&quot; to send you private messages, because we'd have no way to identify the sender, therefore no way to reply to them.

We highly recommend that you use the "typical social network" settings when you first create your account, as it allows others to communicate with you and help you out if you have difficulty. You will find that these settings allow you as much privacy as you desire - when you desire it; but also allow you to communicate in public if you choose to. You are free to use much more private settings once you have learned your way around.

Be aware that altering the scope of who can see your "public" items is a more or less [b]permanent[/b] change. Your public items have no identified permissions attached to them - they are public. If you restrict who can see these items, there is no way of making any single item public ever again - without allowing access to every public item you ever created. You are certainly free to do this, but beware of the consequences.

A more useful privacy setup is to leave "public" items visible to anybody on the internet; but force everything you create to be restricted. This can be done on your Settings page by setting a Default Privacy Group for all new contacts, and setting your Default Post Permissions to restrict all your posts to that group. We use the Default Post Permissions for everything you create - posts, photos, events, webpages, and everything else. However you can then edit the permissions when you create any individual thing and remove your default privacy group to make just that item visible to anybody.   



The scopes of permissions are:

[li]Nobody Except Yourself. This is self explanatory. Only you will be allowed to use this permission.[/li]

[li]Only those you specifically allow. By default, people you are not connected to, and all new contacts will have this permission denied. You will be able to make exceptions for individual channels on their contact edit screen.[/li]

[li]Anybody in your address book. Anybody you do not know will have this permission denied, but anybody you accept as a contact will have this permission approved. This is the way most legacy platforms handle permissions.[/li]

[li]Anybody On This Website. Anybody using the same website as you will have permission approved. Anybody who registered at a different site will have this permission denied.[/li]

[li]Anybody in this network. Anybody in the Red Matrix will have this permission approved. Even complete strangers. However, anybody not logged in/authenticated will have this permission denied.[/li]

[li]Anybody authenticated. This is similar to "anybody in this network" except that it can include anybody who can authenticate by any means - and therefore may include visitors from other networks.[/li]

[li]Anybody on the internet. Completely public. This permission will be approved for anybody at all.[/li]

The individual permissions are:

[i]Can view my &quot;public&quot; stream and posts.[/i]

This permision determines who can view your channel &quot;stream&quot; that is, the non-private posts that appear on the &quot;home&quot; tab when you're logged in.

[i]Can view my &quot;public&quot; channel profile.[/i]

This permission determines who can view your channel's profile. This refers to the &quot;about&quot; tab

[i]Can view my &quot;public&quot; photo albums.[/i]

 This permission determines who can view your photo albums. Individual photographs may still be posted to a more private audience.

[i]Can view my &quot;public&quot; address book.[/i]

This permission determines who can view your contacts. These are the connections displayed in the &quot;View connections&quot; section.

[i]Can view my &quot;public&quot; file storage.[/i]

This permission determines who can view your public files stored in your cloud.

[i]Can view my &quot;public&quot; pages.[/i]

This permission determines who can view your public web pages. 

[i]Can send me their channel stream and posts.[/i]

This permission determines whose posts you will view. If your channel is a personal channel (ie, you as a person), you would probably want to set this to &quot;anyone in my address book&quot; at a minimum. A personal notes channel would probably want to choose &quot;nobody except myself&quot;. Setting this to &quot;Anybody in the network&quot; will show you posts from complete strangers, which is a good form of discovery.

[i]Can post on my channel page (&quot;wall&quot;).[/i]

This permission determines who can write to your wall when clicking through to your channel.

[i]Can comment on my posts.[/i]

This permission determines who can comment on posts you create. Normally, you would want this to match your &quot;can view my public pages&quot; permission

[i]Can send me private mail messages.[/i]

This determines who can send you private messages (zotmail).

[i]Can post photos to my photo albums.[/i]

This determines who can post photographs in your albums. This is very useful for forum-like channels where connections may not be connected to each other.

[i]Can forward to all my channel contacts via post tags.[/i]

Using @- mentions will reproduce a copy of your post on the profile specified, as though you posted on the channel wall. This determines if people can post to your channel in this way.

[i]Can chat with me (when available).[/i]

This determines who can join the public chat rooms created by your channel.

[i]Can write to my &quot;public&quot; file storage.[/i]

This determines who can upload files to your public file storage, or 'cloud'.

[i]Can edit my &quot;public&quot; pages.[/i]

This determines who can edit your webpages. This is useful for wikis or sites with multiple editors.

[i]Can administer my channel resources.[/i]

This determines who can have full control of your channel. This should normally be set to &quot;nobody except myself&quot;.

[i]Note:[/i]
Plugins/addons may provide special permission settings, so you may be offered additional permission settings beyond what is described here.

If you have set any of these permissions to &quot;only those I specifically allow&quot;, you may specify indivudal permissions on the connnection edit screen.

[b]Affinity[/b]

The connection edit screen offers a slider to select a degree of friendship with the connnection (this tool is enabled through the &quot;Extra Features&quot; tab of your Settings page). Think of this as a measure of how much you like or dislike them. 1 is for people you like, whose posts you want to see all the time. 99 is for people you don't care for, and whose posts you might only wish to look at occasionally. Once you've assigned a value here, you can use the affinity tool on the matrix page to filter content based on this number.

The slider on the matrix page has both a minimum and maximum value. Posts will only be shown from people who fall between this range. Affinity has no relation to permissions, and is only useful in conjunction with the affinity tool feature.
